Package org.apache.sling.dynamicinclude.api

## Interface IncludeGenerator

All Known Implementing Classes:
  `EsiGenerator`, `JsiGenerator`, `SsiGenerator`

    public interface IncludeGenerator

Include generator interface

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getInclude​(org.apache.sling.api.SlingHttpServletRequest request, java.lang.String normalizedUrl)` Returns the string used to include the resource.
`java.lang.String` `getType()`

### Method Detail

#### getType

    java.lang.String getType()

#### getInclude

    java.lang.String getInclude​(org.apache.sling.api.SlingHttpServletRequest request,
                                java.lang.String normalizedUrl)

Returns the string used to include the resource. For example, this might be a Javascript code that retrieves a snippet of html, an Apache SSI Tag, or an Edge Side Include Tag.

This method receives the sling request and an Url that has already be normalized as followed:

- The query string has been removed
- The Url has been mapped using the ResourceResolver
- The jcr:content paths have been encoded to _jcr_content.

Parameters:
  `request` - the Sling request object
  `normalizedUrl` - the requested url, normalized
Returns:
  a String used to include the resource